Subject: bug#60308: 30.0.50; Can't read some PDF files any more

From: Gregory Heytings <[email-masked]>
Date: Fri, 06 Jan 2023 10:10:03 +0000

>
> I see the problem in Emacs 29 and master, but not in Emacs 28, on the 
> same system, i.e. with the same image libraries.  When the bad display 
> appears, the following entry appears in *Messages*:
>
> Error parsing SVG image: XML parse error: Error domain 1 code 68 on line 
> 7393 column 18 of data: StartTag: invalid element name
>
> This seems to comes from svg_load_image in image.c.  I started Emacs 29 
> with -Q in gdb after setting a breakpoint at svg_load_image, opened the 
> PDF file, hit the breakpoint and stepped through till the bad display 
> appeared.  The ouput of bt full is attached.  (I also ran Emacs 28 under 
> gdb with the same breakpoint, and there visiting the PDF file does not 
> hit the breakpoint.)
>

Thanks.  Can you please also share the "/tmp/docview1000/FR 205.pdf-7039e6f9886aceec549c36d51591d258/page-1.svg" file?